/* gcompris - games.h
 *
 * Time-stamp: <2001/03/13 23:46:31 bruno>
 *
 * Copyright (C) 2000 Bruno Coudoin
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _GAMES_H_
#define _GAMES_H_

#include "gcompris-board.h"

GcomprisGame *menu_game_new ();
GcomprisGame *clickgame_game_new ();
GcomprisGame *wordsgame_game_new ();
GcomprisGame *gletters_game_new ();
GcomprisGame *smallnumbers_game_new ();
GcomprisGame *algebra_game_new ();
GcomprisGame *clockgame_game_new ();
GcomprisGame *shapegame_game_new ();
GcomprisGame *planegame_game_new ();

#endif


/* Local Variables: */
/* mode:c */
/* eval:(load-library "time-stamp") */
/* eval:(make-local-variable 'write-file-hooks) */
/* eval:(add-hook 'write-file-hooks 'time-stamp) */
/* eval:(setq time-stamp-format '(time-stamp-yyyy/mm/dd time-stamp-hh:mm:ss user-login-name)) */
/* End: */
